/*******************************************************************************

		SC02_Boot.h	SC02 Boot mode class Ver.1.1

											2015.7.28 M.Utsumi@ARCDEVICE

*******************************************************************************/

#ifndef SC02_Boot_H
#define SC02_Boot_H

#include "ftd2xx.h"

#define CM_MASTER_ID		0xFF

#define CM_PROGRAMING_MODE		30
#define CM_WRITER_MODE			31


class SC02_Boot
{

public:
	
	SC02_Boot();
	~SC02_Boot();

	BOOL Open( BYTE bTargetID, BYTE bBootMode, BYTE bChildID );
	void Close( void );

	BOOL Reset( void );
	BOOL SetTimeout( WORD wTime_ms  );

	BOOL getb( BYTE* pb );
	BOOL getw( WORD* pw );
	BOOL Read( void* pBuf, WORD wSize );
	
	BOOL putb( BYTE b );
	BOOL putw( WORD w );
	BOOL Write( void* pBuf, WORD wSize );
	
	
	FT_HANDLE ftHandle;
	FT_STATUS ftStatus;

	DWORD dwBytesWritten;
	DWORD dwBytesReceived; 

	BOOL Timeout;
	
	char Error[256];

};

#endif